# findByType

inline fun <T : Any> ExtensionContainer.findByType(type: KClass<T>): T?
inline fun <T : Any> ExtensionContainer.findByType(type: KClass<T>): T?

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.plugins.ExtensionContainer.findByType.

#### See also

ExtensionContainer.findByType

inline fun <T : Any> ExtensionContainer.findByType(): T?

Looks for the extension of a given type.

#### Return

the extension or null if not found

#### Since

5.0

#### Parameters

T

the extension type

#### See also

ExtensionContainer.findByType